# GstMpeg2Decoder

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoDecoder
                        ╰──GstMpeg2Decoder

The opaque GstMpeg2Decoder data structure.

Since : 1.20

### Class structure

#### GstMpeg2DecoderClass

##### Fields

`parent_class` (GstVideoDecoderClass) –
No description available

### GstCodecs.Mpeg2DecoderClass

##### Attributes

`parent_class` (GstVideo.VideoDecoderClass) –
No description available

### GstCodecs.Mpeg2DecoderClass

##### Attributes

`parent_class` (GstVideo.VideoDecoderClass) –
No description available

## GstCodecs.Mpeg2Decoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstVideo.VideoDecoder
                        ╰──GstCodecs.Mpeg2Decoder

The opaque GstCodecs.Mpeg2Decoder data structure.

Since : 1.20

## GstCodecs.Mpeg2Decoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstVideo.VideoDecoder
                        ╰──GstCodecs.Mpeg2Decoder

The opaque GstCodecs.Mpeg2Decoder data structure.

Since : 1.20

### Virtual Methods

#### decode_slice

    GstFlowReturn
    decode_slice (GstMpeg2Decoder * decoder,
                  GstMpeg2Picture * picture,
                  GstMpeg2Slice * slice)

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it.

Parameters:

`decoder` –

a GstMpeg2Decoder

`picture` ( [transfer: none]) –

a GstMpeg2Picture

`slice` ( [transfer: none]) –

a GstMpeg2Slice

Returns –
No description available

Since : 1.20

#### vfunc_decode_slice

    function vfunc_decode_slice(decoder: GstCodecs.Mpeg2Decoder, picture: GstCodecs.Mpeg2Picture, slice: GstCodecs.Mpeg2Slice): {
        // javascript implementation of the 'decode_slice' virtual method
    }

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it.

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

`slice` (GstCodecs.Mpeg2Slice) –

a GstCodecs.Mpeg2Slice

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### do_decode_slice

    def do_decode_slice (decoder, picture, slice):
        #python implementation of the 'decode_slice' virtual method

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it.

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

`slice` (GstCodecs.Mpeg2Slice) –

a GstCodecs.Mpeg2Slice

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### end_picture

    GstFlowReturn
    end_picture (GstMpeg2Decoder * decoder,
                 GstMpeg2Picture * picture)

Optional. Called per one GstMpeg2Picture to notify subclass to finish decoding process for the GstMpeg2Picture

Parameters:

`decoder` –

a GstMpeg2Decoder

`picture` ( [transfer: none]) –

a GstMpeg2Picture

Returns –
No description available

Since : 1.20

#### vfunc_end_picture

    function vfunc_end_picture(decoder: GstCodecs.Mpeg2Decoder, picture: GstCodecs.Mpeg2Picture): {
        // javascript implementation of the 'end_picture' virtual method
    }

Optional. Called per one GstCodecs.Mpeg2Picture to notify subclass to finish decoding process for the GstCodecs.Mpeg2Picture

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### do_end_picture

    def do_end_picture (decoder, picture):
        #python implementation of the 'end_picture' virtual method

Optional. Called per one GstCodecs.Mpeg2Picture to notify subclass to finish decoding process for the GstCodecs.Mpeg2Picture

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### get_preferred_output_delay

    guint
    get_preferred_output_delay (GstMpeg2Decoder * decoder,
                                gboolean is_live)

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` –

a GstMpeg2Decoder

`is_live` –

whether upstream is live or not

Returns –

the number of perferred delayed output frames

Since : 1.20

#### vfunc_get_preferred_output_delay

    function vfunc_get_preferred_output_delay(decoder: GstCodecs.Mpeg2Decoder, is_live: Number): {
        // javascript implementation of the 'get_preferred_output_delay' virtual method
    }

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`is_live` (Number) –

whether upstream is live or not

Returns (Number) –

the number of perferred delayed output frames

Since : 1.20

#### do_get_preferred_output_delay

    def do_get_preferred_output_delay (decoder, is_live):
        #python implementation of the 'get_preferred_output_delay' virtual method

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`is_live` (bool) –

whether upstream is live or not

Returns (int) –

the number of perferred delayed output frames

Since : 1.20

#### new_field_picture

    GstFlowReturn
    new_field_picture (GstMpeg2Decoder * decoder,
                       GstMpeg2Picture * first_field,
                       GstMpeg2Picture * second_field)

Called when a new field picture is created for interlaced field picture. Subclass can attach implementation specific user data on second_field via gst_mpeg2_picture_set_user_data

Parameters:

`decoder` –

a GstMpeg2Decoder

`first_field` ( [transfer: none]) –

the first field GstMpeg2Picture already decoded

`second_field` ( [transfer: none]) –

a GstMpeg2Picture for the second field

Returns –
No description available

Since : 1.20

#### vfunc_new_field_picture

    function vfunc_new_field_picture(decoder: GstCodecs.Mpeg2Decoder, first_field: GstCodecs.Mpeg2Picture, second_field: GstCodecs.Mpeg2Picture): {
        // javascript implementation of the 'new_field_picture' virtual method
    }

Called when a new field picture is created for interlaced field picture. Subclass can attach implementation specific user data on second_field via gst_mpeg2_picture_set_user_data

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`first_field` (GstCodecs.Mpeg2Picture) –

the first field GstCodecs.Mpeg2Picture already decoded

`second_field` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture for the second field

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### do_new_field_picture

    def do_new_field_picture (decoder, first_field, second_field):
        #python implementation of the 'new_field_picture' virtual method

Called when a new field picture is created for interlaced field picture. Subclass can attach implementation specific user data on second_field via gst_mpeg2_picture_set_user_data

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`first_field` (GstCodecs.Mpeg2Picture) –

the first field GstCodecs.Mpeg2Picture already decoded

`second_field` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture for the second field

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### new_picture

    GstFlowReturn
    new_picture (GstMpeg2Decoder * decoder,
                 GstVideoCodecFrame * frame,
                 GstMpeg2Picture * picture)

Optional. Called whenever new GstMpeg2Picture is created. Subclass can set implementation specific user data on the GstMpeg2Picture via gst_mpeg2_picture_set_user_data

Parameters:

`decoder` –

a GstMpeg2Decoder

`frame` ( [transfer: none]) –

a GstVideoCodecFrame

`picture` ( [transfer: none]) –

a GstMpeg2Picture

Returns –
No description available

Since : 1.20

#### vfunc_new_picture

    function vfunc_new_picture(decoder: GstCodecs.Mpeg2Decoder, frame: GstVideo.VideoCodecFrame, picture: GstCodecs.Mpeg2Picture): {
        // javascript implementation of the 'new_picture' virtual method
    }

Optional. Called whenever new GstCodecs.Mpeg2Picture is created. Subclass can set implementation specific user data on the GstCodecs.Mpeg2Picture via gst_mpeg2_picture_set_user_data

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`frame` (GstVideo.VideoCodecFrame) –

a GstVideo.VideoCodecFrame

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### do_new_picture

    def do_new_picture (decoder, frame, picture):
        #python implementation of the 'new_picture' virtual method

Optional. Called whenever new GstCodecs.Mpeg2Picture is created. Subclass can set implementation specific user data on the GstCodecs.Mpeg2Picture via gst_mpeg2_picture_set_user_data

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`frame` (GstVideo.VideoCodecFrame) –

a GstVideo.VideoCodecFrame

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### new_sequence

    GstFlowReturn
    new_sequence (GstMpeg2Decoder * decoder,
                  const GstMpegVideoSequenceHdr * seq,
                  const GstMpegVideoSequenceExt * seq_ext,
                  const GstMpegVideoSequenceDisplayExt * seq_display_ext,
                  const GstMpegVideoSequenceScalableExt * seq_scalable_ext,
                  gint max_dpb_size)

Notifies subclass of SPS update

Parameters:

`decoder` –

a GstMpeg2Decoder

`seq` –

a GstMpegVideoSequenceHdr

`seq_ext` –

a GstMpegVideoSequenceExt

`seq_display_ext` –
No description available
`seq_scalable_ext` –
No description available
`max_dpb_size` –

the size of dpb including preferred output delay by subclass reported via get_preferred_output_delay method.

Returns –
No description available

Since : 1.20

#### output_picture

    GstFlowReturn
    output_picture (GstMpeg2Decoder * decoder,
                    GstVideoCodecFrame * frame,
                    GstMpeg2Picture * picture)

Called with a GstMpeg2Picture which is required to be outputted. The GstVideoCodecFrame must be consumed by subclass.

Parameters:

`decoder` –

a GstMpeg2Decoder

`frame` ( [transfer: full]) –

a GstVideoCodecFrame

`picture` ( [transfer: full]) –

a GstMpeg2Picture

Returns –
No description available

Since : 1.20

#### vfunc_output_picture

    function vfunc_output_picture(decoder: GstCodecs.Mpeg2Decoder, frame: GstVideo.VideoCodecFrame, picture: GstCodecs.Mpeg2Picture): {
        // javascript implementation of the 'output_picture' virtual method
    }

Called with a GstCodecs.Mpeg2Picture which is required to be outputted. The GstVideo.VideoCodecFrame must be consumed by subclass.

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`frame` (GstVideo.VideoCodecFrame) –

a GstVideo.VideoCodecFrame

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### do_output_picture

    def do_output_picture (decoder, frame, picture):
        #python implementation of the 'output_picture' virtual method

Called with a GstCodecs.Mpeg2Picture which is required to be outputted. The GstVideo.VideoCodecFrame must be consumed by subclass.

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`frame` (GstVideo.VideoCodecFrame) –

a GstVideo.VideoCodecFrame

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### start_picture

    GstFlowReturn
    start_picture (GstMpeg2Decoder * decoder,
                   GstMpeg2Picture * picture,
                   GstMpeg2Slice * slice,
                   GstMpeg2Picture * prev_picture,
                   GstMpeg2Picture * next_picture)

Optional. Called per one GstMpeg2Picture to notify subclass to prepare decoding process for the GstMpeg2Picture

Parameters:

`decoder` –

a GstMpeg2Decoder

`picture` ( [transfer: none]) –

a GstMpeg2Picture

`slice` ( [transfer: none]) –

a GstMpeg2Slice

`prev_picture` ( [transfer: none]) –

a GstMpeg2Picture

`next_picture` ( [transfer: none]) –

a GstMpeg2Picture

Returns –
No description available

Since : 1.20

#### vfunc_start_picture

    function vfunc_start_picture(decoder: GstCodecs.Mpeg2Decoder, picture: GstCodecs.Mpeg2Picture, slice: GstCodecs.Mpeg2Slice, prev_picture: GstCodecs.Mpeg2Picture, next_picture: GstCodecs.Mpeg2Picture): {
        // javascript implementation of the 'start_picture' virtual method
    }

Optional. Called per one GstCodecs.Mpeg2Picture to notify subclass to prepare decoding process for the GstCodecs.Mpeg2Picture

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

`slice` (GstCodecs.Mpeg2Slice) –

a GstCodecs.Mpeg2Slice

`prev_picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

`next_picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

#### do_start_picture

    def do_start_picture (decoder, picture, slice, prev_picture, next_picture):
        #python implementation of the 'start_picture' virtual method

Optional. Called per one GstCodecs.Mpeg2Picture to notify subclass to prepare decoding process for the GstCodecs.Mpeg2Picture

Parameters:

`decoder` (GstCodecs.Mpeg2Decoder) –

a GstCodecs.Mpeg2Decoder

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

`slice` (GstCodecs.Mpeg2Slice) –

a GstCodecs.Mpeg2Slice

`prev_picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

`next_picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.20

## GstMpeg2Dpb

Since : 1.20

## GstCodecs.Mpeg2Dpb

Since : 1.20

## GstCodecs.Mpeg2Dpb

Since : 1.20

### Methods

#### gst_mpeg2_dpb_add

    gst_mpeg2_dpb_add (GstMpeg2Dpb * dpb,
                       GstMpeg2Picture * picture)

Store the picture

Parameters:

`dpb` –

a GstMpeg2Dpb

`picture` ( [transfer: full]) –

a GstMpeg2Picture

Since : 1.20

#### GstCodecs.Mpeg2Dpb.prototype.add

    function GstCodecs.Mpeg2Dpb.prototype.add(picture: GstCodecs.Mpeg2Picture): {
        // javascript wrapper for 'gst_mpeg2_dpb_add'
    }

Store the picture

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Since : 1.20

#### GstCodecs.Mpeg2Dpb.add

    def GstCodecs.Mpeg2Dpb.add (self, picture):
        #python wrapper for 'gst_mpeg2_dpb_add'

Store the picture

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

`picture` (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture

Since : 1.20

#### gst_mpeg2_dpb_bump

    GstMpeg2Picture *
    gst_mpeg2_dpb_bump (GstMpeg2Dpb * dpb)

Parameters:

`dpb` –

a GstMpeg2Dpb

Returns ( [nullable][transfer: full]) –

a GstMpeg2Picture which is needed to be outputted

Since : 1.20

#### GstCodecs.Mpeg2Dpb.prototype.bump

    function GstCodecs.Mpeg2Dpb.prototype.bump(): {
        // javascript wrapper for 'gst_mpeg2_dpb_bump'
    }

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

Returns (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture which is needed to be outputted

Since : 1.20

#### GstCodecs.Mpeg2Dpb.bump

    def GstCodecs.Mpeg2Dpb.bump (self):
        #python wrapper for 'gst_mpeg2_dpb_bump'

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

Returns (GstCodecs.Mpeg2Picture) –

a GstCodecs.Mpeg2Picture which is needed to be outputted

Since : 1.20

#### gst_mpeg2_dpb_clear

    gst_mpeg2_dpb_clear (GstMpeg2Dpb * dpb)

Clear all stored GstMpeg2Picture

Parameters:

`dpb` –

a GstMpeg2Dpb

Since : 1.20

#### GstCodecs.Mpeg2Dpb.prototype.clear

    function GstCodecs.Mpeg2Dpb.prototype.clear(): {
        // javascript wrapper for 'gst_mpeg2_dpb_clear'
    }

Clear all stored GstCodecs.Mpeg2Picture

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

Since : 1.20

#### GstCodecs.Mpeg2Dpb.clear

    def GstCodecs.Mpeg2Dpb.clear (self):
        #python wrapper for 'gst_mpeg2_dpb_clear'

Clear all stored GstCodecs.Mpeg2Picture

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

Since : 1.20

#### gst_mpeg2_dpb_free

    gst_mpeg2_dpb_free (GstMpeg2Dpb * dpb)

Free the dpb

Parameters:

`dpb` –

a GstMpeg2Dpb to free

Since : 1.20

#### GstCodecs.Mpeg2Dpb.prototype.free

    function GstCodecs.Mpeg2Dpb.prototype.free(): {
        // javascript wrapper for 'gst_mpeg2_dpb_free'
    }

Free the dpb

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb to free

Since : 1.20

#### GstCodecs.Mpeg2Dpb.free

    def GstCodecs.Mpeg2Dpb.free (self):
        #python wrapper for 'gst_mpeg2_dpb_free'

Free the dpb

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb to free

Since : 1.20

#### gst_mpeg2_dpb_get_neighbours

    gst_mpeg2_dpb_get_neighbours (GstMpeg2Dpb * dpb,
                                  GstMpeg2Picture * picture,
                                  GstMpeg2Picture ** prev_picture_ptr,
                                  GstMpeg2Picture ** next_picture_ptr)

Gets the neighbours GstMpeg2Picture of picture in dpb.

Parameters:

`dpb` –

a GstMpeg2Dpb

`picture` –

current GstMpeg2Picture

`prev_picture_ptr` ( [transfer: none][out][nullable]) –

previuous GstMpeg2Picture in dpb

`next_picture_ptr` ( [transfer: none][out][nullable]) –

next GstMpeg2Picture in dpb

Since : 1.20

#### GstCodecs.Mpeg2Dpb.prototype.get_neighbours

    function GstCodecs.Mpeg2Dpb.prototype.get_neighbours(picture: GstCodecs.Mpeg2Picture): {
        // javascript wrapper for 'gst_mpeg2_dpb_get_neighbours'
    }

Gets the neighbours GstCodecs.Mpeg2Picture of picture in dpb.

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

`picture` (GstCodecs.Mpeg2Picture) –

current GstCodecs.Mpeg2Picture

Since : 1.20

#### GstCodecs.Mpeg2Dpb.get_neighbours

    def GstCodecs.Mpeg2Dpb.get_neighbours (self, picture):
        #python wrapper for 'gst_mpeg2_dpb_get_neighbours'

Gets the neighbours GstCodecs.Mpeg2Picture of picture in dpb.

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

`picture` (GstCodecs.Mpeg2Picture) –

current GstCodecs.Mpeg2Picture

Since : 1.20

#### gst_mpeg2_dpb_need_bump

    gboolean
    gst_mpeg2_dpb_need_bump (GstMpeg2Dpb * dpb)

Checks if dbp has a new picture.

Parameters:

`dpb` –

a GstMpeg2Dpb

Returns –

TRUE if dpb needs to be bumped; otherwise, FALSE

Since : 1.20

#### GstCodecs.Mpeg2Dpb.prototype.need_bump

    function GstCodecs.Mpeg2Dpb.prototype.need_bump(): {
        // javascript wrapper for 'gst_mpeg2_dpb_need_bump'
    }

Checks if dbp has a new picture.

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

Returns (Number) –

true if dpb needs to be bumped; otherwise, false

Since : 1.20

#### GstCodecs.Mpeg2Dpb.need_bump

    def GstCodecs.Mpeg2Dpb.need_bump (self):
        #python wrapper for 'gst_mpeg2_dpb_need_bump'

Checks if dbp has a new picture.

Parameters:

`dpb` (GstCodecs.Mpeg2Dpb) –

a GstCodecs.Mpeg2Dpb

Returns (bool) –

True if dpb needs to be bumped; otherwise, False

Since : 1.20

### Functions

#### gst_mpeg2_dpb_new

    GstMpeg2Dpb *
    gst_mpeg2_dpb_new ()

Create new GstMpeg2Dpb

Returns –

a new GstMpeg2Dpb

Since : 1.20

## GstMpeg2Picture

Since : 1.20

## GstCodecs.Mpeg2Picture

Since : 1.20

## GstCodecs.Mpeg2Picture

Since : 1.20

### Constructors

#### gst_mpeg2_picture_new

    GstMpeg2Picture *
    gst_mpeg2_picture_new ()

Create new GstMpeg2Picture

Returns –

a new GstMpeg2Picture

Since : 1.20

#### GstCodecs.Mpeg2Picture.prototype.new

    function GstCodecs.Mpeg2Picture.prototype.new(): {
        // javascript wrapper for 'gst_mpeg2_picture_new'
    }

Create new GstCodecs.Mpeg2Picture

Returns (GstCodecs.Mpeg2Picture) –

a new GstCodecs.Mpeg2Picture

Since : 1.20

#### GstCodecs.Mpeg2Picture.new

    def GstCodecs.Mpeg2Picture.new ():
        #python wrapper for 'gst_mpeg2_picture_new'

Create new GstCodecs.Mpeg2Picture

Returns (GstCodecs.Mpeg2Picture) –

a new GstCodecs.Mpeg2Picture

Since : 1.20

## GstMpeg2Slice

Since : 1.20

## GstCodecs.Mpeg2Slice

Since : 1.20

## GstCodecs.Mpeg2Slice

Since : 1.20

## Function Macros

### GST_IS_MPEG2_PICTURE

    #define GST_IS_MPEG2_PICTURE(obj)   (GST_IS_MINI_OBJECT_TYPE(obj, GST_TYPE_MPEG2_PICTURE))

Since : 1.20

### GST_MPEG2_PICTURE

    #define GST_MPEG2_PICTURE(obj)      ((GstMpeg2Picture *)obj)

Since : 1.20

### GST_MPEG2_PICTURE_IS_REF

    #define GST_MPEG2_PICTURE_IS_REF(picture) \
        (((GstMpeg2Picture *) picture)->type == GST_MPEG_VIDEO_PICTURE_TYPE_I || \
         ((GstMpeg2Picture *) picture)->type == GST_MPEG_VIDEO_PICTURE_TYPE_P)

Check whether picture's type is I or P

Parameters:

`picture` –

a GstMpeg2Picture

Since : 1.20

## Constants

### GST_TYPE_MPEG2_PICTURE

    #define GST_TYPE_MPEG2_PICTURE      (gst_mpeg2_picture_get_type())

Since : 1.20

The results of the search are